declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    /**
     * A label for the checkbox.
     */
    label: {
        type: StringConstructor;
        required: false;
        default: undefined;
    };
    /**
     * Toggles the disabled state of the checkbox.
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Determines the checked state of the checkbox.
     */
    checked: {
        type: BooleanConstructor;
        required: false;
        default: undefined;
    };
    /**
     * Determines if the field is partially checked.
     */
    partial: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Inherited value from another SalesChannel.
     */
    inheritedValue: {
        type: BooleanConstructor;
        required: false;
        default: null;
    };
    /**
     * Determines if the field is inherited.
     */
    isInherited: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Error object for this field.
     */
    error: {
        type: ObjectConstructor;
        required: false;
        default: null;
    };
    /**
     * Determines if the field is surrounded by a border.
     */
    bordered: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Help text with additional information for the field.
     */
    helpText: {
        type: StringConstructor;
        required: false;
        default: null;
    };
    /**
     * Marks the field as required with an asterix.
     */
    required: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>, {
    checkboxClasses: import('vue').ComputedRef<{
        "mt-switch--future-remove-default-margin": boolean;
    }>;
}, {
    id: string | undefined;
    currentValue: boolean | undefined;
}, {
    MtCheckboxFieldClasses(): {
        "has--error": boolean;
        "is--disabled": boolean;
        "is--inherited": boolean;
        "is--bordered": boolean;
        "is--partly-checked": boolean;
    };
    identification(): string;
    hasError(): boolean;
    inputState(): boolean;
    isInheritanceField(): boolean;
    isInheritedComputed(): boolean;
    isDisabled(): boolean;
    isPartlyChecked(): boolean;
    iconName(): string;
}, {
    onChange(changeEvent: Event): void;
}, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    mapInheritance: {
        type: ObjectConstructor;
        required: false;
        default: null;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: null;
    };
}>, {}, {}, {
    formFieldName(): string | undefined;
}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    mapInheritance: {
        type: ObjectConstructor;
        required: false;
        default: null;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: null;
    };
}>> & Readonly<{}>, {
    name: string;
    mapInheritance: Record<string, any>;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    /**
     * A label for the checkbox.
     */
    label: {
        type: StringConstructor;
        required: false;
        default: undefined;
    };
    /**
     * Toggles the disabled state of the checkbox.
     */
    disabled: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Determines the checked state of the checkbox.
     */
    checked: {
        type: BooleanConstructor;
        required: false;
        default: undefined;
    };
    /**
     * Determines if the field is partially checked.
     */
    partial: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Inherited value from another SalesChannel.
     */
    inheritedValue: {
        type: BooleanConstructor;
        required: false;
        default: null;
    };
    /**
     * Determines if the field is inherited.
     */
    isInherited: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Error object for this field.
     */
    error: {
        type: ObjectConstructor;
        required: false;
        default: null;
    };
    /**
     * Determines if the field is surrounded by a border.
     */
    bordered: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    /**
     * Help text with additional information for the field.
     */
    helpText: {
        type: StringConstructor;
        required: false;
        default: null;
    };
    /**
     * Marks the field as required with an asterix.
     */
    required: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
}>> & Readonly<{}>, {
    required: boolean;
    label: string;
    disabled: boolean;
    error: Record<string, any>;
    isInherited: boolean;
    helpText: string;
    checked: boolean;
    partial: boolean;
    inheritedValue: boolean;
    bordered: boolean;
}, {}, {
    "mt-icon": import('vue').DefineComponent<{
        name: string;
        color?: string;
        decorative?: boolean;
        size?: string;
        mode?: "solid" | "regular";
    }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
        name: string;
        color?: string;
        decorative?: boolean;
        size?: string;
        mode?: "solid" | "regular";
    }> & Readonly<{}>, {
        decorative: boolean;
        size: string;
        mode: "solid" | "regular";
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
    "mt-base-field": import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        required: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInherited: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInheritanceField: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        disableInheritanceToggle: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyable: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyableTooltip: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        hasFocus: {
            type: BooleanConstructor;
            required: true;
        };
        helpText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        copyableText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        size: {
            type: StringConstructor;
            required: false;
            default: string;
            validator(value: string): boolean;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>, {
        hasSlotContent: (slot: import('vue').Slot | undefined | null, props?: any) => boolean;
        future: {
            removeCardWidth: boolean;
            removeDefaultMargin: boolean;
        };
    }, {
        id: string | undefined;
    }, {
        identification(): string;
        showLabel(): boolean;
        mtFieldLabelClasses(): {
            "is--required": boolean;
        };
        mtBlockSize(): string;
        hasError(): boolean;
    }, {}, import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        validation: {
            type: (BooleanConstructor | ObjectConstructor | StringConstructor | ArrayConstructor)[];
            required: false;
            default: null;
        };
    }>, {}, {}, {
        isValid(): boolean;
    }, {
        validate(value: unknown): boolean;
        validateRule(value: unknown, rule: string): boolean;
    }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        validation: {
            type: (BooleanConstructor | ObjectConstructor | StringConstructor | ArrayConstructor)[];
            required: false;
            default: null;
        };
    }>> & Readonly<{}>, {
        validation: string | boolean | Record<string, any> | unknown[];
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any> | import('vue').DefineComponent<import('vue').ExtractPropTypes<{
        mapInheritance: {
            type: ObjectConstructor;
            required: false;
            default: null;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>, {}, {}, {
        formFieldName(): string | undefined;
    }, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        mapInheritance: {
            type: ObjectConstructor;
            required: false;
            default: null;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>> & Readonly<{}>, {
        name: string;
        mapInheritance: Record<string, any>;
    }, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        required: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInherited: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        isInheritanceField: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        disableInheritanceToggle: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyable: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        copyableTooltip: {
            type: BooleanConstructor;
            required: false;
            default: boolean;
        };
        hasFocus: {
            type: BooleanConstructor;
            required: true;
        };
        helpText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        copyableText: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        size: {
            type: StringConstructor;
            required: false;
            default: string;
            validator(value: string): boolean;
        };
        name: {
            type: StringConstructor;
            required: false;
            default: null;
        };
    }>> & Readonly<{}>, {
        name: string;
        size: string;
        required: boolean;
        disabled: boolean;
        isInherited: boolean;
        copyableText: string;
        isInheritanceField: boolean;
        disableInheritanceToggle: boolean;
        copyable: boolean;
        copyableTooltip: boolean;
        helpText: string;
    }, {}, {
        "mt-inheritance-switch": import('vue').DefineComponent<{
            isInherited: boolean;
            disabled?: boolean;
        }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
            inheritanceRemove: () => any;
            inheritanceRestore: () => any;
        }, string, import('vue').PublicProps, Readonly<{
            isInherited: boolean;
            disabled?: boolean;
        }> & Readonly<{
            onInheritanceRemove?: (() => any) | undefined;
            onInheritanceRestore?: (() => any) | undefined;
        }>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
        "mt-help-text": import('vue').DefineComponent<{
            text: string;
            width?: number;
            showDelay?: number;
            hideDelay?: number;
            placement?: import('@floating-ui/dom').Placement;
        }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
            text: string;
            width?: number;
            showDelay?: number;
            hideDelay?: number;
            placement?: import('@floating-ui/dom').Placement;
        }> & Readonly<{}>, {
            showDelay: number;
            hideDelay: number;
        }, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
        "mt-field-copyable": import('vue').DefineComponent<import('vue').ExtractPropTypes<{
            copyableText: {
                type: StringConstructor;
                required: false;
                default: null;
            };
            tooltip: {
                type: BooleanConstructor;
                required: false;
                default: boolean;
            };
        }>, {
            copyToClipboard: () => void;
            tooltipText: import('vue').ComputedRef<string>;
            wasCopied: import('vue').Ref<boolean, boolean>;
        }, {}, {}, {}, import('vue').DefineComponent<{}, {}, {}, {}, {
            createNotification(): void;
            createNotificationSuccess(config: any): void;
            createNotificationInfo(config: any): void;
            createNotificationWarning(config: any): void;
            createNotificationError(config: any): void;
            createSystemNotificationSuccess(config: any): void;
            createSystemNotificationInfo(config: any): void;
            createSystemNotificationWarning(config: any): void;
            createSystemNotificationError(config: any): void;
            createSystemNotification(config: any): void;
        }, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{}> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
            copyableText: {
                type: StringConstructor;
                required: false;
                default: null;
            };
            tooltip: {
                type: BooleanConstructor;
                required: false;
                default: boolean;
            };
        }>> & Readonly<{}>, {
            tooltip: boolean;
            copyableText: string;
        }, {}, {
            "mt-icon": import('vue').DefineComponent<{
                name: string;
                color?: string;
                decorative?: boolean;
                size?: string;
                mode?: "solid" | "regular";
            }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
                name: string;
                color?: string;
                decorative?: boolean;
                size?: string;
                mode?: "solid" | "regular";
            }> & Readonly<{}>, {
                decorative: boolean;
                size: string;
                mode: "solid" | "regular";
            }, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
        }, {
            tooltip: import('vue').ObjectDirective<any, any, string, string>;
        }, string, import('vue').ComponentProvideOptions, true, {}, any>;
    }, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
    "mt-field-error": import('vue').DefineComponent<{
        error?: Record<string, any> | null;
    }, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<{
        error?: Record<string, any> | null;
    }> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
