/**
 * Deep copy an object
 */
export declare function deepCopyObject<O extends object>(copyObject: O): O;
export declare function hasOwnProperty(scope: any, prop: string): boolean;
type GetPath = string | number | (string | number)[];
/**
 * Safely retrieves a value from a nested object using a path.
 */
export declare const get: <T extends object, D = undefined>(obj: T | null | undefined, path: GetPath, defValue?: D) => D | undefined | any;
declare const _default: {
    deepCopyObject: typeof deepCopyObject;
    hasOwnProperty: typeof hasOwnProperty;
    get: <T extends object, D = undefined>(obj: T | null | undefined, path: GetPath, defValue?: D) => D | undefined | any;
};
export default _default;
